## rygel 0.42.5

=== debian/changelog ===
rygel (0.42.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:21:52 +0000

rygel (0.42.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:53:20 +0000

rygel (0.42.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 16:40:24 -0500

rygel (0.42.5-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 16:37:44 -0500

=== debian/control ===
Source: rygel
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               gstreamer1.0-plugins-base,
               gtk-doc-tools,
               meson (>= 0.55.0),
               libgee-0.8-dev,
               libges-1.0-dev (>= 1.16),
               libglib2.0-dev (>= 2.56.0),
               libglib2.0-doc,
               libgssdp-1.6-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.12),
               libgstreamer1.0-dev (>= 1.12),
               libgtk-3-dev (>= 3.22),
               libgupnp-1.6-dev (>= 1.1.0),
               libgupnp-av-1.0-dev (>= 0.12.8),
               libgupnp-dlna-2.0-dev (>= 0.9.4-2),
               libmediaart-2.0-dev (>= 0.7.0),
               libsoup-3.0-dev,
               libsqlite3-dev (>= 3.5),
               libtracker-sparql-3.0-dev,
               libunistring-dev,
               libxml2-dev (>= 2.7),
               libxml2-utils,
               valac (>= 0.40.10),
               valadoc (>= 0.2)
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/latest
Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/latest
Homepage: https://wiki.gnome.org/Projects/Rygel

Package: rygel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dbus-user-session,
            gstreamer1.0-plugins-base,
            gstreamer1.0-plugins-good,
            ${gst:Recommends}
Suggests: ${gst:Suggests},
          rygel-playbin,
          rygel-preferences,
          rygel-ruih,
          rygel-tracker,
          tumbler
Description: GNOME UPnP/DLNA services
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the core of Rygel and following plugins:
   * media-export: Recursively exports folders and files specified in the
     user configuration. This plugin supports all types of URIs that
     gio/gvfs and GStreamer can handle.
   * external: A MediaServer plugin that exports media hierarchies
     provided by external applications.
   * mpris: Export of media players that implement MPRIS2 D-Bus interface,
     as MediaRenderer devices.

Package: rygel-2.8-dev
Section: devel
Architecture: any
Depends: libgstreamer1.0-dev,
         libgee-0.8-dev,
         libglib2.0-dev,
         libgupnp-1.6-dev,
         libgupnp-av-1.0-dev,
         librygel-core-2.8-0 (= ${binary:Version}),
         librygel-db-2.8-0 (= ${binary:Version}),
         librygel-renderer-2.8-0 (= ${binary:Version}),
         librygel-renderer-gst-2.8-0 (= ${binary:Version}),
         librygel-ruih-2.8-0 (= ${binary:Version}),
         librygel-server-2.8-0 (= ${binary:Version}),
         ${misc:Depends}
Replaces: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
Conflicts: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
Description: GNOME UPnP/DLNA services - plugin development files
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides the development files needed to build Rygel plugins.

Package: librygel-core-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - core library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the core of Rygel, used by other rygel modules.

Package: librygel-server-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - server library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by application implementing
 UPnP server functionality by using rygel server plug-ins.

Package: librygel-renderer-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality by using rygel renderer plug-ins.

Package: librygel-renderer-gst-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality based on GStreamer by using rygel renderer
 plug-ins.

Package: librygel-ruih-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - ruih library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library implementing the Remote User Interface Server
 protocol interfaces.

Package: librygel-db-2.8-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - db library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library implementing a generic database
 abstraction used by rygel and rygel plugins.

Package: rygel-ruih
Architecture: any
Multi-Arch: same
Depends: rygel (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - Ruih plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides a plugin implementing Remote User Interface Server.

Package: rygel-tracker
Architecture: any
Depends: rygel (= ${binary:Version}),
         tracker (>= 3.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - Tracker plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides a MediaServer plugin that exports user's media
 contents known to Tracker (http://projects.gnome.org/tracker).

Package: rygel-playbin
Architecture: any
Depends: gstreamer1.0-plugins-good,
         rygel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: rygel-gst-renderer (<< 0.8.3-1~)
Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
Enhances: rygel
Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the Playbin plugin which is a MediaRenderer plugin.
 With this installed Rygel can render (view/play) media locally from
 other network resources (MediaServers) through GStreamer playbin2.

Package: rygel-gst-launch
Architecture: any
Depends: rygel (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - gst-launch plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is

## rygel 0.42.6

=== debian/changelog ===
rygel (0.42.6-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:32:28 -0400

rygel (0.42.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:31:24 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libxml2-utils,
                valac (>= 0.40.10),
                valadoc (>= 0.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel

## rygel 0.44.1

=== debian/changelog ===
rygel (0.44.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 10:10:15 -0400

rygel (0.44.1-2) unstable; urgency=medium

  * Depend on localsearch instead of tracker
  * Remove ancient Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 10:02:47 -0400

rygel (0.44.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main
  * Rebase patches
  * debian/salsa-ci.yml: Use Ubuntu CI

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 17:41:17 +0100

rygel (0.44.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1033330)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Jan 2025 10:09:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
+           Emilio Pozuelo Monfort <pochu@debian.org>,
+           Iain Lane <laney@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gstreamer1.0-plugins-base,
                gtk-doc-tools,
-               meson (>= 0.55.0),
                libgee-0.8-dev,
                libges-1.0-dev (>= 1.16),
                libglib2.0-dev (>= 2.56.0),
@@ -27,6 +30,7 @@
                libunistring-dev,
                libxml2-dev (>= 2.7),
                libxml2-utils,
+               meson (>= 0.55.0),
                valac (>= 0.40.10),
                valadoc (>= 0.2)
 Standards-Version: 4.7.0
@@ -45,12 +49,12 @@
             gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             ${gst:Recommends}
-Suggests: ${gst:Suggests},
-          rygel-playbin,
+Suggests: rygel-playbin,
           rygel-preferences,
           rygel-ruih,
           rygel-tracker,
-          tumbler
+          tumbler,
+          ${gst:Suggests}
 Description: GNOME UPnP/DLNA services
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
@@ -71,9 +75,9 @@
 Package: rygel-2.8-dev
 Section: devel
 Architecture: any
-Depends: libgstreamer1.0-dev,
-         libgee-0.8-dev,
+Depends: libgee-0.8-dev,
          libglib2.0-dev,
+         libgstreamer1.0-dev,
          libgupnp-1.6-dev,
          libgupnp-av-1.0-dev,
          librygel-core-2.8-0 (= ${binary:Version}),
@@ -208,10 +212,10 @@
 Package: rygel-tracker
 Architecture: any
 Depends: rygel (= ${binary:Version}),
-         tracker (>= 3.0),
+         localsearch (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: GNOME UPnP/DLNA services - Tracker plugin
+Description: GNOME UPnP/DLNA services - TinySPAQRL plugin
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
@@ -220,7 +224,7 @@
  conversion of media to format that client devices are capable of handling.
  .
  This package provides a MediaServer plugin that exports user's media
- contents known to Tracker (http://projects.gnome.org/tracker).
+ contents to TinySPARQL.
 
 Package: rygel-playbin
 Architecture: any
@@ -228,8 +232,6 @@
          rygel (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: rygel-gst-renderer (<< 0.8.3-1~)
-Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
 Enhances: rygel
 Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
  Rygel is a home media solution that allows you to easily share audio, video
@@ -251,3 +253,4 @@
  and pictures, and control of media player on your home network. In technical
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
  a plug-in mechanism. Interoperability with other devices in the market is
+ achieved by conformance to very strict requirements of DLNA and on the fly

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# those gstreamer plugins are in universe for Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
else
	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
endif

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dsystemd-user-units-dir=/usr/lib/systemd/user \
	        -Dapi-docs=true \
		-Dintrospection=disabled \
		-Dexamples=false \
		-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.8/

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_gnome_clean:

## rygel 0.44.2

=== meson_options.txt ===
option('uninstalled', type: 'boolean', value: 'false', description: 'Run Rygel from build directory only')
option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
option('man_pages', type: 'boolean', value: 'true', description: 'Build the man pages')
option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
option('plugins', type : 'array', choices : ['external', 'gst-launch', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker3'])
option('engines', type : 'array', choices : ['simple', 'gstreamer'])
option('examples', type : 'boolean', value : 'true')
option('tests', type : 'boolean', value : 'true')
option('gstreamer', type : 'feature', value : 'enabled')
option('gtk', type : 'feature', value : 'enabled')
option('introspection', type: 'feature', value : 'auto')
option('fatal_warnings', type: 'boolean', value : 'false')

=== debian/changelog ===
rygel (0.44.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 14:29:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Iain Lane <laney@debian.org>,
@@ -36,10 +35,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/latest
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -254,3 +251,10 @@
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
  a plug-in mechanism. Interoperability with other devices in the market is
  achieved by conformance to very strict requirements of DLNA and on the fly
+ conversion of media to format that client devices are capable of handling.
+ .
+ This package provides a gst-launch plugin that enables using a
+ custom GStreamer pipeline as a DLNA service/UPnP device.
+
+Package: rygel-preferences
+Architecture: any

## rygel 45~rc

=== debian/changelog ===
rygel (45~rc-2) unstable; urgency=medium

  * Remove unnecessary X-Ubuntu-Langpack: yes field
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 10:24:45 -0400

rygel (45~rc-1) experimental; urgency=medium

  * New upstream release
  * Rename rygel-tracker to rygel-localsearch to match upstream rename
  * Build with gtk4 instead of gtk3
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:23:15 -0400

## rygel 45.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
 option('man_pages', type: 'boolean', value: 'true', description: 'Build the man pages')
 option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
-option('plugins', type : 'array', choices : ['external', 'gst-launch', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker3'])
+option('plugins', type : 'array', choices : ['external', 'gst-launch', 'media-export', 'mpris', 'playbin', 'ruih', 'localsearch'])
 option('engines', type : 'array', choices : ['simple', 'gstreamer'])
 option('examples', type : 'boolean', value : 'true')
 option('tests', type : 'boolean', value : 'true')

=== debian/changelog ===
rygel (45.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable (lp: #2130108). Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 12:27:16 +0100

rygel (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 19:08:57 -0400

rygel (0.44.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (lp: #2112067). Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jun 2025 17:01:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Iain Lane <laney@debian.org>,
@@ -18,7 +19,7 @@
                libgssdp-1.6-dev,
                libgstreamer-plugins-base1.0-dev (>= 1.12),
                libgstreamer1.0-dev (>= 1.12),
-               libgtk-3-dev (>= 3.22),
+               libgtk-4-dev (>= 4.14),
                libgupnp-1.6-dev (>= 1.1.0),
                libgupnp-av-1.0-dev (>= 0.12.8),
                libgupnp-dlna-2.0-dev (>= 0.9.4-2),
@@ -32,11 +33,11 @@
                meson (>= 0.55.0),
                valac (>= 0.40.10),
                valadoc (>= 0.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
+Standards-Version: 4.7.2
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/latest
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -46,10 +47,10 @@
             gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
             ${gst:Recommends}
-Suggests: rygel-playbin,
+Suggests: rygel-localsearch,
+          rygel-playbin,
           rygel-preferences,
           rygel-ruih,
-          rygel-tracker,
           tumbler,
           ${gst:Suggests}
 Description: GNOME UPnP/DLNA services
@@ -206,7 +207,7 @@
  .
  This package provides a plugin implementing Remote User Interface Server.
 
-Package: rygel-tracker
+Package: rygel-localsearch
 Architecture: any
 Depends: rygel (= ${binary:Version}),
          localsearch (>= 3.0),
@@ -221,7 +222,7 @@
  conversion of media to format that client devices are capable of handling.
  .
  This package provides a MediaServer plugin that exports user's media
- contents to TinySPARQL.
+ contents to TinySPARQL for use in localsearch.
 
 Package: rygel-playbin
 Architecture: any
@@ -251,10 +252,3 @@
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
  a plug-in mechanism. Interoperability with other devices in the market is
  achieved by conformance to very strict requirements of DLNA and on the fly
- conversion of media to format that client devices are capable of handling.
- .
- This package provides a gst-launch plugin that enables using a
- custom GStreamer pipeline as a DLNA service/UPnP device.
-
-Package: rygel-preferences
-Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	        -Dapi-docs=true \
 		-Dintrospection=disabled \
 		-Dexamples=false \
-		-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3
+		-Dplugins=external,gst-launch,localsearch,media-export,mpris,playbin,ruih
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.8/

## rygel 45.1

=== debian/changelog ===
rygel (45.1-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop outdated upgrade fixup from postinst
  * Fix dpkg trigger for rygel multiarch plugin path

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 17:10:29 -0500

rygel (45.1-2) unstable; urgency=medium

  * Mark -dev package as Multi-Arch: same
  * Remove obsolete Conflicts/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 17:07:41 -0500

rygel (45.1-1) unstable; urgency=medium

  * New upstream release
  * Override dh_gnome to avoid build warnings
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jan 2026 20:07:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,35 @@
 Source: rygel
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Section: net
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Emilio Pozuelo Monfort <pochu@debian.org>,
-           Iain Lane <laney@debian.org>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
-           Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gstreamer1.0-plugins-base,
                gtk-doc-tools,
                libgee-0.8-dev,
-               libges-1.0-dev (>= 1.16),
-               libglib2.0-dev (>= 2.56.0),
+               libges-1.0-dev,
+               libglib2.0-dev,
                libglib2.0-doc,
                libgssdp-1.6-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.12),
-               libgstreamer1.0-dev (>= 1.12),
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtk-4-dev (>= 4.14),
-               libgupnp-1.6-dev (>= 1.1.0),
-               libgupnp-av-1.0-dev (>= 0.12.8),
-               libgupnp-dlna-2.0-dev (>= 0.9.4-2),
-               libmediaart-2.0-dev (>= 0.7.0),
+               libgupnp-1.6-dev,
+               libgupnp-av-1.0-dev,
+               libgupnp-dlna-2.0-dev,
+               libmediaart-2.0-dev,
                libsoup-3.0-dev,
-               libsqlite3-dev (>= 3.5),
+               libsqlite3-dev,
                libtracker-sparql-3.0-dev,
                libunistring-dev,
-               libxml2-dev (>= 2.7),
+               libxml2-dev,
                libxml2-utils,
-               meson (>= 0.55.0),
-               valac (>= 0.40.10),
-               valadoc (>= 0.2)
-Standards-Version: 4.7.2
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/latest
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/latest
+               meson,
+               valac,
+               valadoc
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -51,8 +43,7 @@
           rygel-playbin,
           rygel-preferences,
           rygel-ruih,
-          tumbler,
-          ${gst:Suggests}
+          tumbler
 Description: GNOME UPnP/DLNA services
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
@@ -71,8 +62,9 @@
      as MediaRenderer devices.
 
 Package: rygel-2.8-dev
+Architecture: any
+Multi-Arch: same
 Section: devel
-Architecture: any
 Depends: libgee-0.8-dev,
          libglib2.0-dev,
          libgstreamer1.0-dev,
@@ -85,8 +77,6 @@
          librygel-ruih-2.8-0 (= ${binary:Version}),
          librygel-server-2.8-0 (= ${binary:Version}),
          ${misc:Depends}
-Replaces: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
-Conflicts: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
 Description: GNOME UPnP/DLNA services - plugin development files
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
@@ -98,9 +88,9 @@
  This package provides the development files needed to build Rygel plugins.
 
 Package: librygel-core-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - core library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -113,9 +103,9 @@
  This package contains the core of Rygel, used by other rygel modules.
 
 Package: librygel-server-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - server library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -129,9 +119,9 @@
  UPnP server functionality by using rygel server plug-ins.
 
 Package: librygel-renderer-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - renderer library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -145,9 +135,9 @@
  UPnP renderer functionality by using rygel renderer plug-ins.
 
 Package: librygel-renderer-gst-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - renderer library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -162,9 +152,9 @@
  plug-ins.
 
 Package: librygel-ruih-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - ruih library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -178,9 +168,9 @@
  protocol interfaces.
 
 Package: librygel-db-2.8-0
-Section: libs
-Architecture: any
-Multi-Arch: same
+Architecture: any
+Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - db library
  Rygel is a home media solution that allows you to easily share audio, video
@@ -209,8 +199,8 @@
 
 Package: rygel-localsearch
 Architecture: any
-Depends: rygel (= ${binary:Version}),
-         localsearch (>= 3.0),
+Depends: localsearch,
+         rygel (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - TinySPAQRL plugin
@@ -252,3 +242,17 @@
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
  a plug-in mechanism. Interoperability with other devices in the market is
  achieved by conformance to very strict requirements of DLNA and on the fly
+ conversion of media to format that client devices are capable of handling.
+ .
+ This package provides a gst-launch plugin that enables using a
+ custom GStreamer pipeline as a DLNA service/UPnP device.
+
+Package: rygel-preferences
+Architecture: any
+Depends: rygel (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: GNOME UPnP/DLNA services - preferences tool
+ Rygel is a home media solution that allows you to easily share audio, video
+ and pictures, and control of media player on your home network. In technical
+ terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
+ a plug-in mechanism. Interoperability with other devices in the market is
+ achieved by conformance to very strict requirements of DLNA and on the fly

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+
+include /usr/share/dpkg/architecture.mk
+
+RYGEL_PLUGINS_ABI=2.8
 
 # those gstreamer plugins are in universe for Ubuntu
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -26,10 +28,17 @@
 		-Dexamples=false \
 		-Dplugins=external,gst-launch,localsearch,media-export,mpris,playbin,ruih
 
+execute_before_dh_install:
+	sed \
+		-e "s/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
+		-e "s/#RYGEL_PLUGINS_ABI#/$(RYGEL_PLUGINS_ABI)/" \
+		debian/rygel.triggers.in > debian/rygel.triggers
+
 override_dh_makeshlibs:
-	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.8/
+	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-$(RYGEL_PLUGINS_ABI)/
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
